### Type parameters

- #### T: IAtomElement

### Hierarchy

- BaseElementBridge
  - AtomElementBridge

## Index

### Properties

- ajax
- controlFactory
- createBusyIndicator
- reset
- setImport
- setTemplate

### Methods

- addEventHandler
- appendChild
- atomParent
- attachControl
- close
- create
- createNode
- dispose
- elementParent
- findChild
- getValue
- loadContent
- refreshInherited
- setValue
- templateParent
- visitDescendents
- watchProperty

## Properties

### ajax

ajax: function

- Defined in src/core/AtomBridge.ts:13

#### Type declaration

- - (url: string, options: AjaxOptions, success: function, failed: function, progress: function): void

  - #### Parameters

    - ##### url: string

    - ##### options: AjaxOptions

    - ##### success: function

      - - (r: any): void

        - #### Parameters

          - ##### r: any

          #### Returns void

    - ##### failed: function

      - - (r: any): void

        - #### Parameters

          - ##### r: any

          #### Returns void

    - ##### progress: function

      - - (p: any): void

        - #### Parameters

          - ##### p: any

          #### Returns void

### controlFactory

controlFactory: any

- Defined in src/core/AtomBridge.ts:9

### createBusyIndicator

createBusyIndicator: function

- Defined in src/core/AtomBridge.ts:11

#### Type declaration

- - (): IDisposable

  - #### Returns IDisposable

### reset

reset: function

- Defined in src/core/AtomBridge.ts:23

#### Type declaration

- - (): void

  - #### Returns void

### setImport

setImport: function

- Defined in src/core/AtomBridge.ts:22

#### Type declaration

- - (element: any, name: string, templateFactory: function): void

  - #### Parameters

    - ##### element: any

    - ##### name: string

    - ##### templateFactory: function

      - - (): any

        - #### Returns any

    #### Returns void

### setTemplate

setTemplate: function

- Defined in src/core/AtomBridge.ts:20

#### Type declaration

- - (element: any, name: string, templateFactory: function): void

  - #### Parameters

    - ##### element: any

    - ##### name: string

    - ##### templateFactory: function

      - - (): any

        - #### Returns any

    #### Returns void

## Methods

### Abstract addEventHandler

- addEventHandler(element: T, name: string, handler: EventListenerOrEventListenerObject, capture?: boolean): IDisposable

- - Defined in src/core/AtomBridge.ts:34

  #### Parameters

  - ##### element: T

  - ##### name: string

  - ##### handler: EventListenerOrEventListenerObject

  - ##### Optional capture: boolean

  #### Returns IDisposable

### Abstract appendChild

- appendChild(parent: T, child: T): void

- - Defined in src/core/AtomBridge.ts:50

  #### Parameters

  - ##### parent: T

  - ##### child: T

  #### Returns void

### Abstract atomParent

- atomParent(element: T, climbUp?: boolean): IUIAtomControl

- - Defined in src/core/AtomBridge.ts:40

  #### Parameters

  - ##### element: T

  - ##### Optional climbUp: boolean

  #### Returns IUIAtomControl

### Abstract attachControl

- attachControl(element: T, control: IUIAtomControl): void

- - Defined in src/core/AtomBridge.ts:32

  #### Parameters

  - ##### element: T

  - ##### control: IUIAtomControl

  #### Returns void

### Abstract close

- close(element: T, success: function, error: function): void

- - Defined in src/core/AtomBridge.ts:62

  #### Parameters

  - ##### element: T

  - ##### success: function

    - - (): void

      - #### Returns void

  - ##### error: function

    - - (e: any): void

      - #### Parameters

        - ##### e: any

        #### Returns void

### Abstract create

- create(type: string | function | object, node?: any, app?: any): T

- - Defined in src/core/AtomBridge.ts:25

  #### Parameters

  - ##### type: string | function | object

  - ##### Optional node: any

  - ##### Optional app: any

  #### Returns T

### createNode

- createNode(target: any, node: XNode, binder: Function, xNodeClass: Function, creator: Function): any

- - Defined in src/core/AtomBridge.ts:81

  #### Parameters

  - ##### target: any

  - ##### node: XNode

  - ##### binder: Function

  - ##### xNodeClass: Function

  - ##### creator: Function

  #### Returns any

### Abstract dispose

- dispose(element: T): void

- - Defined in src/core/AtomBridge.ts:48

  #### Parameters

  - ##### element: T

  #### Returns void

### Abstract elementParent

- elementParent(element: T): T

- - Defined in src/core/AtomBridge.ts:42

  #### Parameters

  - ##### element: T

  #### Returns T

### Abstract findChild

- findChild(element: T, name: string): T

- - Defined in src/core/AtomBridge.ts:60

  #### Parameters

  - ##### element: T

  - ##### name: string

  #### Returns T

### Abstract getValue

- getValue(element: HTMLElement, name: string): any

- - Defined in src/core/AtomBridge.ts:52

  #### Parameters

  - ##### element: HTMLElement

  - ##### name: string

  #### Returns any

### Abstract loadContent

- loadContent(element: T, text: string): void

- - Defined in src/core/AtomBridge.ts:58

  #### Parameters

  - ##### element: T

  - ##### text: string

  #### Returns void

### refreshInherited

- refreshInherited(target: object, name: string, fieldName?: string): void

- - Defined in src/core/AtomBridge.ts:64

  #### Parameters

  - ##### target: object

  - ##### name: string

  - ##### Optional fieldName: string

  #### Returns void

### Abstract setValue

- setValue(element: T, name: string, value: any): void

- - Defined in src/core/AtomBridge.ts:54

  #### Parameters

  - ##### element: T

  - ##### name: string

  - ##### value: any

  #### Returns void

### Abstract templateParent

- templateParent(element: T): IUIAtomControl

- - Defined in src/core/AtomBridge.ts:44

  #### Parameters

  - ##### element: T

  #### Returns IUIAtomControl

### Abstract visitDescendents

- visitDescendents(element: T, action: function): void

- - Defined in src/core/AtomBridge.ts:46

  #### Parameters

  - ##### element: T

  - ##### action: function

    - - (e: T, ac: IUIAtomControl): boolean

      - #### Parameters

        - ##### e: T

        - ##### ac: IUIAtomControl

        #### Returns boolean

  #### Returns void

### Abstract watchProperty

- watchProperty(element: T, name: string, events: string[], f: function): IDisposable

- - Defined in src/core/AtomBridge.ts:56

  #### Parameters

  - ##### element: T

  - ##### name: string

  - ##### events: string[]

  - ##### f: function

    - - (v: any): void

      - #### Parameters

        - ##### v: any

        #### Returns void

  #### Returns IDisposable

Generated using TypeDoc